com.google.gwt.place.shared

## Interface PlaceHistoryMapper

All Known Subinterfaces:
  PlaceHistoryMapperWithFactory<F>

    public interface PlaceHistoryMapper

Maps `Place`s to/from tokens, used to configure a `PlaceHistoryHandler`.

You can annotate subinterfaces of PlaceHistoryMapper with `WithTokenizers` to have their implementation automatically generated via a call to `GWT.create(Class)`.

### Method Summary

All Methods Instance Methods Abstract Methods
`Place` `getPlace(java.lang.String token)` Returns the `Place` associated with the given token.
`java.lang.String` `getToken(Place place)` Returns the String token associated with the given `Place`.

### Method Detail

#### getPlace

    Place getPlace(java.lang.String token)

Returns the `Place` associated with the given token.

Parameters:
  `token` - a String token
Returns:
  a `Place` instance

#### getToken

    java.lang.String getToken(Place place)

Returns the String token associated with the given `Place`.

Parameters:
  `place` - a `Place` instance
Returns:
  a String token